This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004801 - cluster.nufa :- cluster.nufa option should accept only 2 values - on or off
cluster.nufa :- cluster.nufa option should accept only 2 values - on or off
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:58 EDT by Rachana Patel
Modified: 2015-11-27 07:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 07:10:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2013-09-05 09:58:02 EDT
Description of problem:
cluster.nufa :- cluster.nufa option should accept only 2 values - on or off

Version-Release number of selected component (if applicable):
3.4.0.30rhs-2.el6_4.x86_64

How reproducible:
always

Steps to Reproduce:
[root@DHT3 ~]# gluster volume set nufa cluster.nufa om
volume set: success
[root@DHT3 ~]# gluster volume info nufa
Volume Name: nufa
Type: Distribute
Volume ID: dd08d0e3-3b71-4d1b-8102-fd6067ecc263
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: 10.70.37.195:/rhs/brick2/n1
Brick2: 10.70.37.66:/rhs/brick2/n1
Brick3: 10.70.37.98:/rhs/brick2/n1
Options Reconfigured:
cluster.nufa: om
[root@DHT3 ~]# gluster volume set nufa cluster.nufa 55
volume set: success
[root@DHT3 ~]# gluster volume info nufa
Volume Name: nufa
Type: Distribute
Volume ID: dd08d0e3-3b71-4d1b-8102-fd6067ecc263
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: 10.70.37.195:/rhs/brick2/n1
Brick2: 10.70.37.66:/rhs/brick2/n1
Brick3: 10.70.37.98:/rhs/brick2/n1
Options Reconfigured:
cluster.nufa: 55
[root@DHT3 ~]# gluster volume set nufa cluster.nufa anything
volume set: success
[root@DHT3 ~]# gluster volume info nufa
Volume Name: nufa
Type: Distribute
Volume ID: dd08d0e3-3b71-4d1b-8102-fd6067ecc263
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: 10.70.37.195:/rhs/brick2/n1
Brick2: 10.70.37.66:/rhs/brick2/n1
Brick3: 10.70.37.98:/rhs/brick2/n1
Options Reconfigured:
cluster.nufa: anything

Actual results:
user is able to set any value for that option

Expected results:
cluster.nufa option should accept only 2 values - on or off

Additional info:

Note You need to log in before you can comment on or make changes to this bug.